Summary:	C++ linear algebra library
Summary(pl.UTF-8):	Biblioteka C++ do algebry liniowej
Name:		armadillo
Version:	9.300.2
Release:	1
License:	MPL v2.0
Group:		Libraries
Source0:	http://downloads.sourceforge.net/arma/%{name}-%{version}.tar.xz
# Source0-md5:	ad18562781178125a7b184e9b33ee859
URL:		http://arma.sourceforge.net/
BuildRequires:	SuperLU-devel >= 5
BuildRequires:	arpack-devel
BuildRequires:	blas-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	hdf5-devel
BuildRequires:	lapack-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Armadillo is a C++ linear algebra library (matrix maths) aiming
towards a good balance between speed and ease of use. The syntax is
deliberately similar to Matlab.

%description -l pl.UTF-8
Armadillo to biblioteka C++ do algebry liniowej (obliczeń na
macierzach), której celem jest dobry kompromis między szybkością a
łatwością użycia. Składnia jest celowo podobna do Matlaba.

%package devel
Summary:	Header files for Armadillo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Armadillo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SuperLU-devel >= 5
Requires:	arpack-devel
Requires:	blas-devel
Requires:	hdf5-devel
Requires:	lapack-devel
Requires:	libstdc++-devel
Obsoletes:	armadillo-static

%description devel
Header files for Armadillo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Armadillo.

%package apidocs
Summary:	Armadillo API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Armadillo
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for Armadillo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Armadillo.

%prep
%setup -q

%build
%cmake . \
	-DDETECT_HDF5=ON \
	-DINSTALL_LIB_DIR=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.md docs.html
%attr(755,root,root) %{_libdir}/libarmadillo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libarmadillo.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libarmadillo.so
%{_includedir}/armadillo
%{_includedir}/armadillo_bits
%{_pkgconfigdir}/armadillo.pc
%dir %{_datadir}/Armadillo
%{_datadir}/Armadillo/CMake

%files apidocs
%defattr(644,root,root,755)
%doc docs.html armadillo_icon.png armadillo_nicta_2010.pdf rcpp_armadillo_csda_2014.pdf
%changelog
* Thu Apr 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/armadillo.git;a=log;h=master

* Thu Apr 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 0eafd7b
- updated to 9.300.2

* Sat Dec 22 2018 Jakub Bogusz <qboosh@pld-linux.org> d0c39b4
- updated to 9.200.6 (note: new soname)

* Sat May 27 2017 Jakub Bogusz <qboosh@pld-linux.org> a03f155
- updated to 7.900.1

* Thu May 25 2017 Jan Rękorajski <baggins@pld-linux.org> e5e127d
- rebuild with lapack 3.7
- release 2 (by relup.sh)

* Sat Feb 25 2017 Jakub Bogusz <qboosh@pld-linux.org> b29e608
- updated to 7.800.1 (note: new soname)

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> cce9f25
- updated to 6.700.7

* Tue Apr 26 2016 Elan Ruusamäe <glen@delfi.ee> 7ede81f
- noarch apidocs

* Fri Apr 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 38e1265
- updated to 6.700.4

* Tue Mar 29 2016 Jakub Bogusz <qboosh@pld-linux.org> bb92154
- updated to 6.600.5

* Thu Mar 17 2016 Jakub Bogusz <qboosh@pld-linux.org> eb074bf
- updated to 6.600.4 (note: new soname)

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> fcb8a81
- updated to 5.200.2

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 9001a4b
- updated to 5.200.1 (note: new soname)

* Fri Mar 06 2015 Jan Rękorajski <baggins@pld-linux.org> 1d517c7
- fic install libdir
- rel 2

* Thu Nov 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 79bc4af
- updated to 4.500.0

* Sun May 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 795d738
- updated to 4.300.2 (note: new soname)

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 4aa4272
- updated to 3.930.0

* Fri Nov 22 2013 Jakub Bogusz <qboosh@pld-linux.org> ba37003
- updated to 3.920.3

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 015bf1b
- updated to 3.920.2

* Sat Sep 21 2013 Jakub Bogusz <qboosh@pld-linux.org> be5e4ab
- updated to 3.910.1

* Sat Aug 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 188efe7
- updated to 3.910.0

